1. Miriotuken's Avatar
    Hi there guys
    I HAVE A PROBLEM with new 10.3.3 os and new installed talk2watch pro installed on my passport se. When I wanna install any app or watchface it says invalid blobdb message, which I could not find any solution for it on the net, so I guess it is related to the new os maybe!
    Plz help me

    Posted via CB10
    12-06-16 01:34 AM
  2. Low Joe's Avatar
    I had the same problem after upgrading to 10.3.3.
    I installed 'Pebble old ' instead and used it to setup watch again.
    Then when it prompted and asked to upgrade to newest firmware I said no and stayed at 2.9. Once the watch was setup I disconnected from the app and Un-installed the pebble app, even though I left it installed when running 10.3.2. After removing pebble app I then installed talk to watch pro and hub to watch and both run well. Only thing I noticed is that talk to watch pro works better when it is left open and minimized rather than running headless

    Posted via CB10
    12-06-16 05:05 AM
  3. Miriotuken's Avatar
    I cant install anything through talk2watch pro appstore because of blobdb invalid message... what should I do?

    Posted via CB10
    12-06-16 07:19 AM
  4. Low Joe's Avatar
    Download from pebble app while was setting up. Then when u run talk to watch pro it shows them in your app locker underneath your app bank. Click on app from locker and it will give u the option to install or remove

    And remember not to upgrade firmware when prompted
    It messed up my watch and I had to restore all steps again

    Invalid BlobDb message Problem with talk2watch pro (pebble steel) on 10.3.3-s24087_37.png

    Posted via CB10
    12-06-16 07:43 AM
  5. Low Joe's Avatar
    Invalid BlobDb message Problem with talk2watch pro (pebble steel) on 10.3.3-screen_grab_20161206_084251.png
    When I pull down menu and choose app store it shows installed apps then available app(s) in app locker

    Invalid BlobDb message Problem with talk2watch pro (pebble steel) on 10.3.3-screen_grab_20161206_084308.png
    Click on app in locker (in my photo I clicked on DRAW). Then it gives option on bottom left of screen to install or remove

    Posted via CB10
    12-06-16 07:46 AM
  6. Low Joe's Avatar
    Also some apps that need android higher than the 4.3 jellybean run time will also give install error that u described because it requires the newer android that BB 10 does not run

    Posted via CB10
    12-06-16 07:52 AM
  7. Low Joe's Avatar
    12-06-16 09:39 AM
  8. Miriotuken's Avatar
    I have updated my pebble steel to new firmware 2days ago:/ I did as you said but that problem occurred again

    Posted via CB10
    12-06-16 11:58 AM
  9. Low Joe's Avatar
    I m available for a bit. I can try to walk u thru this by resetting my watch at the same time. I will check for your response

    Posted via CB10
    12-07-16 05:04 AM
  10. Miriotuken's Avatar
    What? I didnt understand, sorry:/

    Posted via CB10
    12-07-16 09:06 AM
  11. Low Joe's Avatar
    I was going to reset my pebble and go step by step to see if u were doing something different then me

    Posted via CB10
    12-07-16 03:32 PM
  12. Miriotuken's Avatar
    Thanks man! Now I have a question: should I downgrade the version of pebble firmware? (v3.12.3)

    Posted via CB10
    12-08-16 12:41 AM
  13. Low Joe's Avatar
    I have had trouble with any firmware higher than 2.9.

    Posted via CB10
    12-08-16 05:04 AM
  14. Miriotuken's Avatar
    So how can I restore to 2.9 ? :/

    Posted via CB10
    12-08-16 06:18 AM
  15. Low Joe's Avatar
    Go to settings on your pebble. Select factory reset. Now download pebble.old app on to your passport. Use pebble old app only because it sets up your pebble to the lower firmware of 2.9. Follow the setup steps of the app then download what!watch faces and apps u want. Now select disconnect pebble option of the app and close the app. Now uninstall pebble old app
    Now open talk to watch pro and select pebble. You won't be able to properly connect to talk to watch pro unless u r disconnected from pebble app. That is why u should uninstall after the pebble is setup.
    Use the pull down menu from top of talk to watch pro app and select app store. It will ask u to upgrade firmware to 3.x. Say cancel. Always says cancel. Now select the watch faces or apps u downloaded with pebble app. When u click on them they will prompt u to install and u will be set.
    Just remember to say no(cancel) when app store prompts for firmware upgrade. Any time I have said ok to firmware upgrade it screwed up my watch and caused problems with downloading apps. I think firmware update may be more suited to a Android only phone. 2.9 run fine on my pebble letting me get texts, emails, phone call, notifications, calendar events, and twitter

    Hope this helps

    Posted via CB10
    12-08-16 09:53 AM
  16. Miriotuken's Avatar
    Thanks so much. I will try it. Thanks again man

    Posted via CB10
    12-09-16 12:53 AM
  17. Miriotuken's Avatar
    Hey man I failed
    I deleted new pebble app and installed pebble old version then selected reset factory option from settings, after restarting watch I tried to connect to watch but the app and also watch permanently jump into recovery mode and upgrade request which I accept and wait for completing the updating proccess but after one finished it tries to repeat the process. I tried to fix it by using new pebble official app but new pebble app cant pair with pebble watch(maybe because of recovery mode)
    Talk2watch pro can connect to watch but nothing happen in watch
    As a result I cant use my watch now

    Posted via CB10
    12-09-16 09:52 AM
  18. Low Joe's Avatar
    It may actually be something wrong with the watch then. I reset mine and posted the steps I took and it is working perfectly. Maybe u would be better off selling it and getting another one used. Not sure what else to say. Sorry

    Posted via CB10
    12-09-16 11:22 AM
  19. Miriotuken's Avatar
    I downloaded custom 2.9 firmware and installed it, now watch working well but talk2watch cant recognize, find, and connect/pair with watch

    Posted via CB10
    12-09-16 12:00 PM
  20. Miriotuken's Avatar
    Invalid BlobDb message Problem with talk2watch pro (pebble steel) on 10.3.3-img_20161209_213955.png

    Finally talk2watch pro paired with pebble watch but as shown in picture cant install amy thing again, but with another error message)

    Posted via CB10
    12-09-16 12:11 PM

Similar Threads

  1. 10.3.3 Aggregated Changelist
    By syplex in forum BlackBerry 10 OS
    Replies: 70
    Last Post: 11-26-17, 03:53 PM
  2. Writing files to SD card on DTEK60
    By JJonPB in forum BlackBerry DTEK60
    Replies: 18
    Last Post: 12-07-16, 05:59 AM
  3. Replies: 4
    Last Post: 12-07-16, 03:20 AM
  4. BlackBerry working on an Android File Manager?
    By jelle_57 in forum BlackBerry Android OS
    Replies: 3
    Last Post: 12-06-16, 09:42 PM
  5. OTA update to 10.3.3 stuck at 100% when restarted
    By CrackBerry Question in forum Ask a Question
    Replies: 2
    Last Post: 12-06-16, 09:11 AM